﻿Imports ThinkGeo.MapSuite.Layers
Imports ThinkGeo.MapSuite.WinForms
Imports ThinkGeo.MapSuite.Shapes

Public Class Form1
	Private WithEvents moGoogle As ThinkGeo.MapSuite.Layers.GoogleMapsLayer
	Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load
		moGoogle = New ThinkGeo.MapSuite.Layers.GoogleMapsLayer()
		Dim oOverlay As New LayerOverlay
		oOverlay.Layers.Add(moGoogle)
		WinformsMap1.Overlays.Add(oOverlay)

		Dim oProj As New Proj4Projection
		With oProj
			.InternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString
			.ExternalProjectionParametersString = Proj4Projection.GetEsriParametersString(26916)
			.Open()
		End With

		moGoogle.ProjectionFromSphericalMercator = oProj
		moGoogle.DrawingExceptionMode = ThinkGeo.MapSuite.Drawing.DrawingExceptionMode.DrawException
		moGoogle.Open()
		WinformsMap1.MapUnit = ThinkGeo.MapSuite.GeographyUnit.Meter
		'Try
		WinformsMap1.Refresh()
		'Catch ex As Exception
		'	MessageBox.Show("ERROR: " + ex.Message)
		'End Try

	End Sub

	Private Sub moGoogle_CreatingRequest(sender As Object, e As CreatingRequestGoogleMapsLayerEventArgs) Handles moGoogle.CreatingRequest
		e.RequestUri = New Uri(e.RequestUri.AbsoluteUri + "&key=<key>")

	End Sub

End Class
